DrButcher

Members
  • Content count

    0
  • Joined

  • Last visited

Community Reputation

127 Neutral

About DrButcher

  • Rank
    Newbie

Personal Information

  • Interests
    |designer|
  1. Temple of the Abyssal Winds Mac Support

    Interesting, well I appreciate you looking into it. No doubt I'll upgrade one of these days, so hopefully I'll get a chance to check out TOTAW at some point.
  2. Temple of the Abyssal Winds Mac Support

    Thanks for the quick response, Geoff. Sierra (10.12) is dropping support for some older Macs that were still supported by El Capitan (10.11). My MacBook Pro (mid-2009) just missed the cutoff, apparently.
  3. Temple of the Abyssal Winds Mac Support

    The App Store claims this requires macOS 10.12 (Sierra). Any chance this can be supported on El Capitan (10.11), for those who don't want to—or cannot—upgrade to Sierra?